Page MenuHomePhabricator

Reasons provided at Special:PageTranslationDeletePage not shown in delete/pagetranslation logs
Closed, ResolvedPublic

Description

When a translation administrator tries to delete a page, the form features a reason field, however those deletion reasons are not shown neither on the deletion log nor the page translation log, thus making it difficult to know why a page has been deleted. It'd be good if those reasons provided be visible on the deletion log and page translation log. Thanks.

Event Timeline

MarcoAurelio raised the priority of this task from to Needs Triage.
MarcoAurelio updated the task description. (Show Details)
MarcoAurelio added a subscriber: MarcoAurelio.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 27 2015, 8:48 AM

To clarify, is there no log entries at all or is the reason just missing?

To clarify, is there no log entries at all or is the reason just missing?

Hi Nike. Just the reason provided by the user is missing. See here for further details. Thanks.

Nikerabbit triaged this task as Normal priority.Sep 9 2015, 8:07 AM

Should be easy to fix then.

Nemo_bis renamed this task from Reasons provided at Special:PageTranslationDeletePage not shown in logs to Reasons provided at Special:PageTranslationDeletePage not shown in FuzzyBot logs.Sep 10 2015, 6:46 AM
Nemo_bis set Security to None.
Nemo_bis added a comment.EditedSep 10 2015, 8:50 AM

I clarified the summary because as far as I can tell the pagetranslation log does show the reason.

Update: sorry, not true; my eyes crossed. There is indeed no log_comment in logs.

MariaDB [metawiki_p]> select distinct(log_comment) from logging where log_type = 'pagetranslation' and log_action LIKE 'delete%';
+-------------+
| log_comment |
+-------------+
|             |
+-------------+
1 row in set (0.14 sec)
Nemo_bis renamed this task from Reasons provided at Special:PageTranslationDeletePage not shown in FuzzyBot logs to Reasons provided at Special:PageTranslationDeletePage not shown in delete/pagetranslation logs.Sep 10 2015, 9:03 AM

Change 282395 had a related patch set uploaded (by Glaisher):
Add reason to deletion log entries

https://gerrit.wikimedia.org/r/282395

The patch is proposing to add it to all (potentially) hundreds of deletes instead of the page translation log only. That sounds a bit excessive to me. Anyone having thoughts on this?

What sounds excessive to you, precisely? You'd like to save characters on [[Special:Log/delete]]?

Just doesn't seem worth to me to repeat it everywhere.

Just doesn't seem worth to me to repeat it everywhere.

The log will have a log summary anyway, the more informative it is the better. I've not heard of drawbacks so far.

Nikerabbit closed this task as Resolved.Apr 21 2016, 5:11 AM
Nikerabbit removed a project: Patch-For-Review.

Change 282395 merged by jenkins-bot:
Add reason to deletion log entries

https://gerrit.wikimedia.org/r/282395